Page MenuHomePhabricator

[AArch64 GlobalISel] Cleanup CallLowering. NFCI
ClosedPublic

Authored by rovka on Jun 19 2019, 7:00 AM.

Details

Summary

Now that lowerCall and lowerFormalArgs have been refactored, we can
simplify splitToValueTypes.

Diff Detail

Repository
rL LLVM

Event Timeline

rovka created this revision.Jun 19 2019, 7:00 AM
rovka updated this revision to Diff 205762.Jun 20 2019, 2:38 AM

More context.

aemerson accepted this revision.Jun 20 2019, 2:45 PM

Thanks so much for working on these patches Diana! It's tricky business, can you be sure to run test suites thoroughly before committing if you haven't already.

This revision is now accepted and ready to land.Jun 20 2019, 2:45 PM
rovka added a comment.Jun 24 2019, 1:41 AM

Thanks so much for working on these patches Diana! It's tricky business, can you be sure to run test suites thoroughly before committing if you haven't already.

Will do, thanks :) I'll work on removing packArgs from the IRTranslator before committing these.

This revision was automatically updated to reflect the committed changes.